<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
      xmlns:xs="http://www.w3.org/2001/XMLSchema"
      exclude-result-prefixes="xs"
      version="2.0">
<!--
	Input:  TypeContainsProperty.xml (XML export from niem-2.0-developers.mdb, TypeContainsProperty table)
	Output: NIEM-properties.xml, a condensed version of TypeContainsProperty.xml
	Use:    Compare-2-dictionary.xsl uses NIEM-properties.xml as one of its inputs.
 -->
 <xsl:output indent="yes" method="xml"/>
 <xsl:template match="/dataroot">
     <NIEMproperties>
     <xsl:apply-templates select="*"/>
     </NIEMproperties>
 </xsl:template>
    <xsl:template match="TypeContainsProperty">
     <xsl:element name="NIEMproperty">
         <xsl:attribute name="nsprefix"><xsl:value-of select="TypeNamespacePrefix"/></xsl:attribute>
         <xsl:attribute name="type"><xsl:value-of select="TypeName"/></xsl:attribute>
         <xsl:attribute name="propertyNS"><xsl:value-of select="PropertyNamespacePrefix"/></xsl:attribute>
         <xsl:attribute name="property"><xsl:value-of select="PropertyName"/></xsl:attribute>
         <xsl:attribute name="isContent"><xsl:value-of select="IsContent"/></xsl:attribute>
         <xsl:attribute name="isReference"><xsl:value-of select="IsReference"/></xsl:attribute>
         <xsl:attribute name="min"><xsl:value-of select="MinOccurs"/></xsl:attribute>
         <xsl:attribute name="max"><xsl:value-of select="MaxOccurs"/></xsl:attribute>
     </xsl:element>
 </xsl:template>
</xsl:stylesheet>
